Skip to main content
POST
/
v1
/
search
/search
curl --request POST \
  --url https://api.linkup.so/v1/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "depth": "deep",
  "excludeDomains": [
    "wikipedia.org"
  ],
  "includeDomains": [
    "microsoft.com",
    "agolution.com"
  ],
  "outputType": "sourcedAnswer",
  "q": "What is Microsoft's 2024 revenue?"
}
EOF
{
  "results": [
    {
      "name": "Microsoft 2024 Annual Report",
      "url": "https://www.microsoft.com/investor/reports/ar24/index.html",
      "content": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.",
      "type": "text",
      "favicon": "https://www.microsoft.com/favicon.ico"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.linkup.so/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
outputType
enum<string>
required

The type of output you want to get. Use structured for a custom-formatted response defined by structuredOutputSchema.

Available options:
searchResults,
sourcedAnswer,
structured
q
string
required

The natural language question for which you want to retrieve context.

Example:

"What is Microsoft's 2024 revenue?"

depth
enum<string>
required

Defines the precision of the search. [BETA] fast is a sub-second search mode optimized for simple, focused queries; standard leverages agentic search to handle broader queries spanning multiple topics or sources, while remaining fast; deep leverages several iterations of agentic search to return comprehensive results, optimizing for coverage.

Available options:
deep,
standard,
fast
excludeDomains
string[]

The domains you want to exclude of the search. By default, don't restrict the search.

Example:
["wikipedia.org"]
fromDate
string | null

The date from which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be before toDate, if provided, and later than 1970-01-01.

Example:

"2025-01-01"

includeDomains
string[]

The domains you want to search on. By default, don't restrict the search. You can provide up to 100 domains.

Maximum array length: 100
Example:
["microsoft.com", "agolution.com"]
includeImages
default:false

Defines whether the API should include images in its results.

includeInlineCitations
default:false

Relevant only when outputType is sourcedAnswer. Defines whether the answer should include inline citations.

includeSources
default:false

Relevant only when outputType is structured. Defines whether the response should include sources. Please note that it modifies the schema of the response, see below

maxResults
number

The maximum number of results to return. The number of results will always be ≤ to maxResults.

Required range: x >= 1
Example:

5

structuredOutputSchema
string<json>

Required only when outputType is structured. Provide a JSON schema (as a string) representing the desired response format. The root must be of type object.

toDate
string | null

The date until which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be later than fromDate, if provided, or than 1970-01-01.

Example:

"2025-01-01"

Response

Successful response

results
object[]
required

List of search results.